## hubzero-submit-client 1.0.0

=== Makefile ===
# @package      hubzero-submit-client
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.
#

USRBINDIR=$(DESTDIR)/usr/bin
ETCDIR=$(DESTDIR)/etc
OWNER=root
GROUP=root

clean:

install:
	install -d $(ETCDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
	install -d $(ETCDIR)/submit --owner $(OWNER) --group $(GROUP) --mode 0755
	install config $(ETCDIR)/submit --owner $(OWNER) --group $(GROUP) --mode 0744
	install -d $(USRBINDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
	install submit $(USRBINDIR) --owner $(OWNER) --group $(GROUP) --mode 0755

## hubzero-submit-client 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-client
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
+# @copyright    Copyright (c) 2010-2012 Purdue University. All rights reserved.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2011 Purdue University
+# Copyright (c) 2010-2012 Purdue University
 # All rights reserved.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
@@ -34,9 +34,6 @@
 clean:
 
 install:
-	install -d $(ETCDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
-	install -d $(ETCDIR)/submit --owner $(OWNER) --group $(GROUP) --mode 0755
-	install config $(ETCDIR)/submit --owner $(OWNER) --group $(GROUP) --mode 0744
-	install -d $(USRBINDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
-	install submit $(USRBINDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
+	install -D config $(ETCDIR)/submit/config --owner $(OWNER) --group $(GROUP) --mode 0644
+	install -D submit $(USRBINDIR)/submit --owner $(OWNER) --group $(GROUP) --mode 0755

## hubzero-submit-client 2.0.1

=== Makefile ===
--- 
+++ 
@@ -28,12 +28,13 @@
 
 USRBINDIR=$(DESTDIR)/usr/bin
 ETCDIR=$(DESTDIR)/etc
-OWNER=root
-GROUP=root
+
+default all build:
+	@true
+
+install:
+	install -D submit-client.conf.in $(ETCDIR)/submit-client.conf --mode 0644
+	install -D submit $(USRBINDIR)/submit --mode 0755
 
 clean:
-
-install:
-	install -D config $(ETCDIR)/submit/config --owner $(OWNER) --group $(GROUP) --mode 0644
-	install -D submit $(USRBINDIR)/submit --owner $(OWNER) --group $(GROUP) --mode 0755
-
+	@true

## hubzero-submit-client 2.0.2

=== Makefile ===
--- 
+++ 
@@ -33,8 +33,8 @@
 	@true
 
 install:
-	install -D submit-client.conf.in $(ETCDIR)/submit-client.conf --mode 0644
-	install -D submit $(USRBINDIR)/submit --mode 0755
+	install --mode 0664 -D submit-client.conf.in $(ETCDIR)/submit/submit-client.conf
+	install --mode 0755 -D submit $(USRBINDIR)/submit
 
 clean:
 	@true

## hubzero-submit-client 2.5.1

=== Makefile ===
--- 
+++ 
@@ -33,8 +33,17 @@
 	@true
 
 install:
+	python setup.py install $(COMPILE) --root $(DESTDIR)
 	install --mode 0664 -D submit-client.conf.in $(ETCDIR)/submit/submit-client.conf
 	install --mode 0755 -D submit $(USRBINDIR)/submit
 
+configure:
+	@true
+
 clean:
-	@true
+	find . -name '*.pyc' -delete
+	rm -f build-stamp
+	rm -f configure-stamp
+	python setup.py clean
+	rm -fr build
+

## hubzero-submit-client 2.5.5

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	@true
 
 install:
-	python setup.py install $(COMPILE) --root $(DESTDIR)
+	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
 	install --mode 0664 -D submit-client.conf.in $(ETCDIR)/submit/submit-client.conf
 	install --mode 0755 -D submit $(USRBINDIR)/submit

## hubzero-submit-client 2.5.7

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 # @package      hubzero-submit-client
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2012 Purdue University. All rights reserved.
+# @copyright    Copyright (c) 2010-2014 Purdue University. All rights reserved.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2012 Purdue University
-# All rights reserved.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -23,21 +22,24 @@
 # You should have received a copy of the GNU Lesser General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# HUBzero is a registered trademark of Purdue University.
+# HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-USRBINDIR=$(DESTDIR)/usr/bin
-ETCDIR=$(DESTDIR)/etc
+USRBIN=$(DESTDIR)/usr/bin
+ETC=$(DESTDIR)/etc
 
-default all build:
+all:
 	@true
 
 install:
 	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
-	install --mode 0664 -D submit-client.conf.in $(ETCDIR)/submit/submit-client.conf
-	install --mode 0755 -D submit $(USRBINDIR)/submit
+	install --mode 0664 -D submit-client.conf.in $(ETC)/submit/submit-client.conf
+	install --mode 0755 -D submit $(USRBIN)/submit
 
-configure:
+uninstall:
+	@true
+
+postinst:
 	@true
 
 clean:
@@ -47,3 +49,4 @@
 	python setup.py clean
 	rm -fr build
 
+.PHONY: all install uninstall postinst clean

## hubzero-submit-client 2.7.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # @package      hubzero-submit-client
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 Purdue University. All rights reserved.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
 # Copyright (c) 2010-2014 HUBzero Foundation, LLC.
@@ -28,11 +28,18 @@
 USRBIN=$(DESTDIR)/usr/bin
 ETC=$(DESTDIR)/etc
 
+DISTRIBUTION := $(shell lsb_release -is)
+MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
+
+ifeq ($(DISTRIBUTION),Debian)
+il=--install-layout=deb
+endif
+
 all:
 	@true
 
 install:
-	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
+	python setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 	install --mode 0664 -D submit-client.conf.in $(ETC)/submit/submit-client.conf
 	install --mode 0755 -D submit $(USRBIN)/submit

## hubzero-submit-client 3.0.1

=== Makefile ===
# @package      hubzero-submit-client
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
ETC=$(DESTDIR)/etc

DISTRIBUTION := $(shell lsb_release -is)
MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)

ifeq ($(DISTRIBUTION),Debian)
il=--install-layout=deb
endif

all:
	@true

install:
	python setup.py install $(COMPILE) --root $(DESTDIR) $(il)
	install --mode 0664 -D submit-client.conf.in $(ETC)/submit/submit-client.conf
	install --mode 0755 -D submit $(USRBIN)/submit

uninstall:
	@true

postinst:
	@true

clean:
	find . -name '*.pyc' -delete
	rm -f build-stamp
	rm -f configure-stamp
	python setup.py clean
	rm -fr build

.PHONY: all install uninstall postinst clean

## hubzero-submit-client 3.1.2-1+deb6

=== debian/changelog ===
hubzero-submit-client (3.1.2-1+deb6) unstable; urgency=low

  * progressReport typo pagasus -> pegasus
  * Cleanup messaging after local disconnect

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 11:19:13 -0400

hubzero-submit-client (3.0.10-1) unstable; urgency=low

  * Use more os information in Pegasus workflow dax builds.
    Include arch, osFlavor, osVersion, osRelease
  * Added --cacheId option for recording jobs that pull results from cache.
  * Added base64 encoding for files exchanged between non-shared file systems.

 -- Steven Clark <clarks@purdue.edu>  Mon, 11 Jul 2016 11:16:06 -0400

hubzero-submit-client (3.0.8-1) unstable; urgency=low

  * Another set of traps for os.getwd() failures
  * Do not discard mount points with no parametric input files
  * Avoid duplicate detach message

 -- Steven Clark <clarks@purdue.edu>  Wed, 09 Mar 2016 15:01:34 -0500

hubzero-submit-client (3.0.2-1) unstable; urgency=low

  * fix pegasus version reference in conf file template

 -- Steven Clark <clarks@purdue.edu>  Sun, 13 Sep 2015 15:40:01 -0400

hubzero-submit-client (3.0.1-1) unstable; urgency=low

  * Replaced string based data exchange API with JSON based exchange
  * Auto detect client - server disconnect

 -- Steven Clark <clarks@purdue.edu>  Mon, 07 Sep 2015 16:13:00 -0400

hubzero-submit-client (2.7.2-1) unstable; urgency=low

  * packaging update for debian 8

 -- Nicholas Kisseberth <nkissebe@nix8.hubzero.org>  Wed, 03 Jun 2015 13:58:21 -0400

hubzero-submit-client (2.7.1-3) unstable; urgency=low

  * make hubzero-submit-pegasus a suggested dependency only

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 29 Jan 2015 14:59:19 -0500

hubzero-submit-client (2.7.1-2) unstable; urgency=low

  * add 'time' to package dependency list

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 25 Sep 2014 19:25:28 -0400

hubzero-submit-client (2.7.1-1) unstable; urgency=low

  * normalizing packaging to template
  * update pegasus version number in client config file
  * RHEL6 time command does not report non-zero exit status
  * stash session id from client
  * Use python logging module removing need for global write permissions
  * Pass doubleDash from client configuration to distributor and friends.
  * Categorized actions to be taken upon authorization. 
    Different actions for job execution, heartbeat, and send metrics.
  * Allow local execution of pegasus-plan (and other pegasus commands).
  * Set instanceId for common use in sweep and dax workflowcases.
  * Consistent exitStatus reporting from wrapper shell scripts.
  * Allow spaces in working directory path.
  * Do not check for run directory if name not provided
  * Detect shared sshfs mounted file systems.
  * Added treatment of server null request - do nothing

 -- Steven Clark <clarks@purdue.edu>  Tue, 23 Sep 2014 20:35:27 -0400

hubzero-submit-client (2.5.7-2) unstable; urgency=low

  * tweak transitional package dependencies

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 14 Sep 2014 18:58:08 -0400

hubzero-submit-client (2.5.7-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Sep 2014 12:52:31 -0400

hubzero-submit-client (2.5.6-1) unstable; urgency=low

  * Fix python version dependencies for Debian 7 package compatibility

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Aug 2014 16:12:13 -0400

hubzero-submit-client (2.5.5-1) unstable; urgency=low

  * fix some recently introduced packaging issues, bump submit version to 2.5.5

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 31 Aug 2013 17:48:11 -0400

hubzero-submit-client (2.5.2-1) unstable; urgency=low

  * update package name in setup.py

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Aug 2013 13:02:42 -0400

hubzero-submit-client (2.5.1-2) unstable; urgency=low

  * remove __init__.py which is in conflict with hubzero-submit-common 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Aug 2013 11:17:35 -0400

hubzero-submit-client (2.5.1-1) unstable; urgency=low

  * Fix shared python packaging
  * Update copyright statements 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Aug 2013 09:48:27 -0400

hubzero-submit-client (2.0.3-1) unstable; urgency=low

  * add hubzero-submit-pegasus to the dependencies 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 14:22:14 -0400

hubzero-submit-client (2.0.2-1) unstable; urgency=low

  * fix client configuration template installation and format 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 12:22:25 -0400

hubzero-submit-client (2.0.1-1) unstable; urgency=low

  * fix environ.sh load

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 22 Sep 2012 21:30:52 -0400

hubzero-submit-client (2.0.0-1) unstable; urgency=low

  * update HUBzero Foundation, LLC copyrights and Debian 6 packaging
  * new upstream release using hubzero-submit-common

 -- Steven Clark <clarks@purdue.edu>  Fri, 31 Aug 2012 16:04:03 -0400

hubzero-submit-client (1.1.0-1) unstable; urgency=low

  * fix lintian packaging errors

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 19 Mar 2012 14:53:19 -0400

hubzero-submit-client (1.0.0-1) testing; urgency=low

  * Updated to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Tue, 12 Apr 2011 11:37:43 -0400

hubzero-submit-client (0.9.1-1) unstable; urgency=low

  * added python-openssl dependency 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 04 Apr 2011 11:10:14 -0400

hubzero-submit-client (0.9.0-1) unstable; urgency=low

  * Rename package to hubzero-submit-client
  * New upstream release for 2011 

 -- Steven Clark <clarks@purdue.edu>  Mon, 28 Mar 2011 18:00:32 -0400

hubzero-app-submit (0.8.0-1) stable; urgency=low

  * Initial release.

 -- Steven Clark <clarks@purdue.edu>  Thu, 08 Apr 2010 11:12:05 -0400

=== debian/control ===
Source: hubzero-submit-client
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8), python-all  
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-client
Architecture: all
Replaces: hubzero-app-submit
Breaks: hubzero-app-submit
Depends: python-numpy, time, hubzero-submit-common, python-openssl, python (>=2.6), ${misc:Depends}
Suggests: hubzero-submit-pegasus
Description: HUBzero tool submission client for clusters
 HUBzero client for submitting jobs to clusters

## hubzero-submit-client 3.1.2-1+deb7

=== debian/changelog ===
hubzero-submit-client (3.1.2-1+deb7) unstable; urgency=low

  * progressReport typo pagasus -> pegasus
  * Cleanup messaging after local disconnect

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 11:19:13 -0400

## hubzero-submit-client 3.1.2-1+deb8

=== debian/changelog ===
hubzero-submit-client (3.1.2-1+deb8) unstable; urgency=low

  * progressReport typo pagasus -> pegasus
  * Cleanup messaging after local disconnect

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 11:19:13 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8), python-all  
+Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8)  , dh-python
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-client 3.1.3-1+deb6

=== debian/changelog ===
hubzero-submit-client (3.1.3-1+deb6) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 09:25:56 -0400

hubzero-submit-client (3.1.2-1) unstable; urgency=low

  * progressReport typo pagasus -> pegasus
  * Cleanup messaging after local disconnect

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 11:19:13 -0400

## hubzero-submit-client 3.1.3-1+deb7

=== debian/changelog ===
hubzero-submit-client (3.1.3-1+deb7) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 09:25:56 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8)  , dh-python
+Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8) , python-all 
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

=== debian/rules ===
#!/usr/bin/make -f
# @package      hubzero-submit-client
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	#>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-submit-client COMPILE=--no-compile install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-submit-client 3.1.3-1+deb8

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 USRBIN=$(DESTDIR)/usr/bin
 ETC=$(DESTDIR)/etc
 
-DISTRIBUTION := $(shell lsb_release -is)
+DISTRIBUTION := $(shell lsb_release -i -s)
 MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
 
 ifeq ($(DISTRIBUTION),Debian)
@@ -46,7 +46,8 @@
 	install --mode 0755 -D submit $(USRBIN)/submit
 
 uninstall:
-	@true
+	rm -fr $(USRBIN)/submit
+	rm -fr $(ETC)/submit/submit-client.conf
 
 postinst:
 	@true

=== debian/changelog ===
hubzero-submit-client (3.1.3-1+deb8) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 09:25:56 -0400

## hubzero-submit-client 3.2.8-1+deb8

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-client
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

=== debian/changelog ===
hubzero-submit-client (3.2.8-1+deb8) unstable; urgency=low

     - Improve reporting of what is executed in joblog:event.
     - Added ability to save/load submit commands as JSON files.
     - Fix problem with --tail arguments generated
       by SubmitCommand.submit()
     - Fix problem with --tail arguments generated
       by SubmitCommand.submit()
     - Allow progress type submit reporting for
       non parametric runs.
     - Fix problem with local submit dropping
       command line arguments for parametric runs.
     - Provide support for parametric substitution in
       environment variables.
     - Add specifiable width for pretty print.  Fixed
       redundancy data type.
     - Deal with stdout/stderr text including non ascii
       characters
     - Allow parameter sweep variables to be
       used in conjunction with environment variables.
     - Allow environment variables values to resolve
       to files and directories.
     - Allow --env to used with --local execution.
     - Look for file names in command arguments
       of the form input=file.
     - Allow parameter sweep variables to be
       used in conjunction with environment variables.
     - Expanded SubmitCommand to include treatment of
       all command line arguments.
     - Include docstrings for display in notebooks.
     - Added probe related classes.
     - Added new SubmitCommand class. Facilitates
       accessing submit from notebooks.  Tools will
       be able import SubmitCommand and build and
       execute a submit command without directly
       spawning a new process.
     - Modified client and common classes to support
       python2 and python3 from the same source code
       base.
     - Preprocess --parameter=glob:* style argument.
       Was not working correctly when client and server
       do not share file systems.
     - Improved detection of detachment from server.

 -- Steven Clark <clarks@purdue.edu>  Thu, 12 Apr 2018 11:45:21 -0400

hubzero-submit-client (3.1.3-1) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 09:25:56 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,12 @@
 #!/usr/bin/make -f
+#
 # @package      hubzero-submit-client
 # @file         rules
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

## hubzero-submit-client 3.2.8-1+deb9

=== debian/changelog ===
hubzero-submit-client (3.2.8-1+deb9) unstable; urgency=low

     - Improve reporting of what is executed in joblog:event.
     - Added ability to save/load submit commands as JSON files.
     - Fix problem with --tail arguments generated
       by SubmitCommand.submit()
     - Fix problem with --tail arguments generated
       by SubmitCommand.submit()
     - Allow progress type submit reporting for
       non parametric runs.
     - Fix problem with local submit dropping
       command line arguments for parametric runs.
     - Provide support for parametric substitution in
       environment variables.
     - Add specifiable width for pretty print.  Fixed
       redundancy data type.
     - Deal with stdout/stderr text including non ascii
       characters
     - Allow parameter sweep variables to be
       used in conjunction with environment variables.
     - Allow environment variables values to resolve
       to files and directories.
     - Allow --env to used with --local execution.
     - Look for file names in command arguments
       of the form input=file.
     - Allow parameter sweep variables to be
       used in conjunction with environment variables.
     - Expanded SubmitCommand to include treatment of
       all command line arguments.
     - Include docstrings for display in notebooks.
     - Added probe related classes.
     - Added new SubmitCommand class. Facilitates
       accessing submit from notebooks.  Tools will
       be able import SubmitCommand and build and
       execute a submit command without directly
       spawning a new process.
     - Modified client and common classes to support
       python2 and python3 from the same source code
       base.
     - Preprocess --parameter=glob:* style argument.
       Was not working correctly when client and server
       do not share file systems.
     - Improved detection of detachment from server.

 -- Steven Clark <clarks@purdue.edu>  Thu, 12 Apr 2018 11:45:21 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8) , python-all 
+Build-Depends: debhelper (>= 8.0.0)    , dh-python
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-client 3.2.9-1+deb7

=== debian/changelog ===
hubzero-submit-client (3.2.9-1+deb7) unstable; urgency=low

    - Added ability to save/load a list of venues with JSON command file.
    
 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 14:34:49 -0400

hubzero-submit-client (3.2.8-1) unstable; urgency=low

     - Improve reporting of what is executed in joblog:event.
     - Added ability to save/load submit commands as JSON files.
     - Fix problem with --tail arguments generated
       by SubmitCommand.submit()
     - Fix problem with --tail arguments generated
       by SubmitCommand.submit()
     - Allow progress type submit reporting for
       non parametric runs.
     - Fix problem with local submit dropping
       command line arguments for parametric runs.
     - Provide support for parametric substitution in
       environment variables.
     - Add specifiable width for pretty print.  Fixed
       redundancy data type.
     - Deal with stdout/stderr text including non ascii
       characters
     - Allow parameter sweep variables to be
       used in conjunction with environment variables.
     - Allow environment variables values to resolve
       to files and directories.
     - Allow --env to used with --local execution.
     - Look for file names in command arguments
       of the form input=file.
     - Allow parameter sweep variables to be
       used in conjunction with environment variables.
     - Expanded SubmitCommand to include treatment of
       all command line arguments.
     - Include docstrings for display in notebooks.
     - Added probe related classes.
     - Added new SubmitCommand class. Facilitates
       accessing submit from notebooks.  Tools will
       be able import SubmitCommand and build and
       execute a submit command without directly
       spawning a new process.
     - Modified client and common classes to support
       python2 and python3 from the same source code
       base.
     - Preprocess --parameter=glob:* style argument.
       Was not working correctly when client and server
       do not share file systems.
     - Improved detection of detachment from server.

 -- Steven Clark <clarks@purdue.edu>  Thu, 12 Apr 2018 11:45:21 -0400

## hubzero-submit-client 3.2.9-1+deb8

=== debian/changelog ===
hubzero-submit-client (3.2.9-1+deb8) unstable; urgency=low

    - Added ability to save/load a list of venues with JSON command file.
    
 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 14:34:49 -0400

## hubzero-submit-client 3.4.2-1+deb7

=== debian/changelog ===
hubzero-submit-client (3.4.2-1+deb7) unstable; urgency=low

     - Update to version 3.4.2
     - Add option to launch harvester directly with the submt command.
     - Update to version 3.4.1
     - Improved loading of configuration files with better
       handling of error conditions.
     - Added --disableJobMonitoring.  This is available only
       for BOINC submission.  Rather than monitor job progress
       in the distributor process on the submit server updates
       are posted through the shared file system.  The objective
       is to greatly reduce the memory footprint of the monitoring
       process thus allowing many more simultaneous submissions.
     - Tightened up communication related to pushing larger files
       over the wire between client and server.
     - Added auto recovery for dropped client - server connection.
       (one time only)
     - Added --requestCache option for submit to directly query cache
       for result.
     - Added option to run jobs as sudo user (ionhelper)
     - Added parallel (striped) execution of local run jobs.  Make is
       used to control the maximum number of running jobs.
     - Redid commands related to recording cache jobs.  Both cache hits
       and cache misses can now be recorded.
     - Fixed cpu time accounting for local pegasus jobs.  Nested processes
       caused time to be duble counted.
     - Cleanup of Python2/3 data transfer over client-server connection.  Avoid
       large idle times that occurred in large many buffer data transfers.
     - Data on non-shared file systems is now compressed for transfer between
       client and server (both directions).
     - Record origin of Rappture driver file (human,specbot,etc.).
     - Added more environment variables to the blacklist when defining
       run context.
     - Fixed problem with Python interface regarding venue/venues.
     - Release version 3.3.1.
    
 -- Steven Clark <clarks@purdue.edu>  Fri, 05 Jul 2019 15:48:43 -0400

hubzero-submit-client (3.2.9-1) unstable; urgency=low

    - Added ability to save/load a list of venues with JSON command file.
    
 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 14:34:49 -0400

## hubzero-submit-client 3.4.2-1+deb8

=== debian/changelog ===
hubzero-submit-client (3.4.2-1+deb8) unstable; urgency=low

     - Update to version 3.4.2
     - Add option to launch harvester directly with the submt command.
     - Update to version 3.4.1
     - Improved loading of configuration files with better
       handling of error conditions.
     - Added --disableJobMonitoring.  This is available only
       for BOINC submission.  Rather than monitor job progress
       in the distributor process on the submit server updates
       are posted through the shared file system.  The objective
       is to greatly reduce the memory footprint of the monitoring
       process thus allowing many more simultaneous submissions.
     - Tightened up communication related to pushing larger files
       over the wire between client and server.
     - Added auto recovery for dropped client - server connection.
       (one time only)
     - Added --requestCache option for submit to directly query cache
       for result.
     - Added option to run jobs as sudo user (ionhelper)
     - Added parallel (striped) execution of local run jobs.  Make is
       used to control the maximum number of running jobs.
     - Redid commands related to recording cache jobs.  Both cache hits
       and cache misses can now be recorded.
     - Fixed cpu time accounting for local pegasus jobs.  Nested processes
       caused time to be duble counted.
     - Cleanup of Python2/3 data transfer over client-server connection.  Avoid
       large idle times that occurred in large many buffer data transfers.
     - Data on non-shared file systems is now compressed for transfer between
       client and server (both directions).
     - Record origin of Rappture driver file (human,specbot,etc.).
     - Added more environment variables to the blacklist when defining
       run context.
     - Fixed problem with Python interface regarding venue/venues.
     - Release version 3.3.1.
    
 -- Steven Clark <clarks@purdue.edu>  Fri, 05 Jul 2019 15:48:43 -0400

## hubzero-submit-client 3.4.3-1+deb10

=== debian/changelog ===
hubzero-submit-client (3.4.3-1+deb10) unstable; urgency=low

     - Switch from "pegasus-version" to "pegasus-config --version"
       to improve performance.  pegasus-version uses java and is
       really slow.
     - Blacklisted several environment variables added by the Docker
       implementation of tool containers. No need to pass such variables
       from client to remote execution site.
     - Fixed job progress detection when running Pegasus locally.
     - Improved treatment of command arguments containing spaces.
     - Added pretty printing of submit command JSON file.
     - Update to version 3.4.3
     - update copyright/trademark ownership
     - update email address references
     - remove per file @author references
     - update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 01 May 2020 21:56:07 -0700

hubzero-submit-client (3.4.2-1) unstable; urgency=low

     - Update to version 3.4.2
     - Add option to launch harvester directly with the submt command.
     - Update to version 3.4.1
     - Improved loading of configuration files with better
       handling of error conditions.
     - Added --disableJobMonitoring.  This is available only
       for BOINC submission.  Rather than monitor job progress
       in the distributor process on the submit server updates
       are posted through the shared file system.  The objective
       is to greatly reduce the memory footprint of the monitoring
       process thus allowing many more simultaneous submissions.
     - Tightened up communication related to pushing larger files
       over the wire between client and server.
     - Added auto recovery for dropped client - server connection.
       (one time only)
     - Added --requestCache option for submit to directly query cache
       for result.
     - Added option to run jobs as sudo user (ionhelper)
     - Added parallel (striped) execution of local run jobs.  Make is
       used to control the maximum number of running jobs.
     - Redid commands related to recording cache jobs.  Both cache hits
       and cache misses can now be recorded.
     - Fixed cpu time accounting for local pegasus jobs.  Nested processes
       caused time to be duble counted.
     - Cleanup of Python2/3 data transfer over client-server connection.  Avoid
       large idle times that occurred in large many buffer data transfers.
     - Data on non-shared file systems is now compressed for transfer between
       client and server (both directions).
     - Record origin of Rappture driver file (human,specbot,etc.).
     - Added more environment variables to the blacklist when defining
       run context.
     - Fixed problem with Python interface regarding venue/venues.
     - Release version 3.3.1.
    
 -- Steven Clark <smclark@ucsd.edu>  Fri, 05 Jul 2019 15:48:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-submit-client
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0)    , dh-python
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6

## hubzero-submit-client 3.4.3-2+deb9

=== debian/changelog ===
hubzero-submit-client (3.4.3-2+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 11:40:20 -0700

hubzero-submit-client (3.4.3-1) unstable; urgency=low

     - Switch from "pegasus-version" to "pegasus-config --version"
       to improve performance.  pegasus-version uses java and is
       really slow.
     - Blacklisted several environment variables added by the Docker
       implementation of tool containers. No need to pass such variables
       from client to remote execution site.
     - Fixed job progress detection when running Pegasus locally.
     - Improved treatment of command arguments containing spaces.
     - Added pretty printing of submit command JSON file.
     - Update to version 3.4.3
     - update copyright/trademark ownership
     - update email address references
     - remove per file @author references
     - update copyright years

 -- Steven Clark <smclark@ucsd.edu>  Fri, 01 May 2020 21:56:07 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
-Build-Depends: debhelper (>= 8.0.0)    , dh-python
+Build-Depends: debhelper (>= 8.0.0)    , dh-python 
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-client 3.4.3-2+deb10

=== debian/changelog ===
hubzero-submit-client (3.4.3-2+deb10) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 11:40:20 -0700

## hubzero-submit-client 3.5.0-1+deb7

=== debian/changelog ===
hubzero-submit-client (3.5.0-1+deb7) unstable; urgency=low

     - Added PPK authentication between client and server to support
       webservice access.  Allows connection without benefit of HUB
       session environment.
     - Added support for Pegasus version 5+.  Configuration files
       went from xml to yml.
     - Separated Local/Remote log file creation from script creation.
     - Eliminated use of the master as a daemon type.
     - Added new authorized action for reporting metrics for jobs
       run through the webservice.
     - Reduced chatter between client server while import/export
       tar files are exchanged.  Chatter was so heavy that it
       negatively impacted performance - an unnecessary slowing of
       response time.
     - Added different treatment of bind mounts when running submit
       inside a sigularity container.  Fixed detection of client
       and server sharing the same file.
     - Added finer grained recording of when actions take place to
       better understand bottlenecks in webservice jobs.
     - Added individual clientId/serverId pair for each instantiation,
       used in PPK verification.
     - Moved client execution from SubmitCommand to SubmitClient.
     - Update to version 3.5.0

 -- Steven Clark <smclark@ucsd.edu>  Thu, 08 Jul 2021 10:14:52 -0700

hubzero-submit-client (3.4.3-2) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 11:40:20 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
-Build-Depends: debhelper (>= 8.0.0)    , dh-python 
+Build-Depends: debhelper (>= 8.0.0)  , python-all,python-support   
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-client 3.5.0-1+deb10

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-submit-client
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 USRBIN=$(DESTDIR)/usr/bin

=== debian/changelog ===
hubzero-submit-client (3.5.0-1+deb10) unstable; urgency=low

     - Added PPK authentication between client and server to support
       webservice access.  Allows connection without benefit of HUB
       session environment.
     - Added support for Pegasus version 5+.  Configuration files
       went from xml to yml.
     - Separated Local/Remote log file creation from script creation.
     - Eliminated use of the master as a daemon type.
     - Added new authorized action for reporting metrics for jobs
       run through the webservice.
     - Reduced chatter between client server while import/export
       tar files are exchanged.  Chatter was so heavy that it
       negatively impacted performance - an unnecessary slowing of
       response time.
     - Added different treatment of bind mounts when running submit
       inside a sigularity container.  Fixed detection of client
       and server sharing the same file.
     - Added finer grained recording of when actions take place to
       better understand bottlenecks in webservice jobs.
     - Added individual clientId/serverId pair for each instantiation,
       used in PPK verification.
     - Moved client execution from SubmitCommand to SubmitClient.
     - Update to version 3.5.0

 -- Steven Clark <smclark@ucsd.edu>  Thu, 08 Jul 2021 10:14:52 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
-Build-Depends: debhelper (>= 8.0.0)  , python-all,python-support   
+Build-Depends: debhelper (>= 8.0.0)     , dh-python
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-client 3.6.0-1+deb10

=== Makefile ===
--- 
+++ 
@@ -31,18 +31,23 @@
 
 DISTRIBUTION := $(shell lsb_release -i -s)
 MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
+PYTHONVERSION := 3
 
 ifeq ($(DISTRIBUTION),Debian)
 il=--install-layout=deb
+ifneq ($(filter $(MAJORVERSION),6 7 8 9),)
+PYTHONVERSION := 2
+endif
 endif
 
 all:
 	@true
 
 install:
-	python setup.py install $(COMPILE) --root $(DESTDIR) $(il)
+	python3 setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 	install --mode 0664 -D submit-client.conf.in $(ETC)/submit/submit-client.conf
 	install --mode 0755 -D submit $(USRBIN)/submit
+	sed -i 's/^#!\/usr\/bin\/env python$$/#!\/usr\/bin\/env python$(PYTHONVERSION)/' $(USRBIN)/submit
 
 uninstall:
 	rm -fr $(USRBIN)/submit

=== debian/changelog ===
hubzero-submit-client (3.6.0-1+deb10) unstable; urgency=low

     - Attempt connection to server multiplt times if client is
       inadvertently disconnected.
    
     - Added support for multiple configurable Pegasus versions.
    
     - Upgraded ProbeLauncher to Python3

 -- Steven Clark <smclark@ucsd.edu>  Wed, 05 Jan 2022 09:13:21 -0800

hubzero-submit-client (3.5.0-1) unstable; urgency=low

     - Added PPK authentication between client and server to support
       webservice access.  Allows connection without benefit of HUB
       session environment.
     - Added support for Pegasus version 5+.  Configuration files
       went from xml to yml.
     - Separated Local/Remote log file creation from script creation.
     - Eliminated use of the master as a daemon type.
     - Added new authorized action for reporting metrics for jobs
       run through the webservice.
     - Reduced chatter between client server while import/export
       tar files are exchanged.  Chatter was so heavy that it
       negatively impacted performance - an unnecessary slowing of
       response time.
     - Added different treatment of bind mounts when running submit
       inside a sigularity container.  Fixed detection of client
       and server sharing the same file.
     - Added finer grained recording of when actions take place to
       better understand bottlenecks in webservice jobs.
     - Added individual clientId/serverId pair for each instantiation,
       used in PPK verification.
     - Moved client execution from SubmitCommand to SubmitClient.
     - Update to version 3.5.0

 -- Steven Clark <smclark@ucsd.edu>  Thu, 08 Jul 2021 10:14:52 -0700

=== debian/control ===
--- 
+++ 
@@ -1,3 +1,4 @@
+
 Source: hubzero-submit-client
 Section: misc
 Priority: optional
@@ -11,7 +12,7 @@
 Architecture: all
 Replaces: hubzero-app-submit
 Breaks: hubzero-app-submit
-Depends: python-numpy, time, hubzero-submit-common, python-openssl, python (>=2.6), ${misc:Depends}
+Depends:     , python (>=3.6), python3-openssl, python3-numpy, time, hubzero-submit-common, ${misc:Depends}
 Suggests: hubzero-submit-pegasus
 Description: HUBzero tool submission client for clusters
  HUBzero client for submitting jobs to clusters

## hubzero-submit-client 3.6.0-2+deb7

=== debian/changelog ===
hubzero-submit-client (3.6.0-2+deb7) unstable; urgency=low

     - fix build for debian7/python2

 -- Nicholas J. Kisseberth <nkisseberthk@ucsd.edu>  Wed, 05 Jan 2022 11:47:48 -0800

hubzero-submit-client (3.6.0-1) unstable; urgency=low

     - Attempt connection to server multiplt times if client is
       inadvertently disconnected.
    
     - Added support for multiple configurable Pegasus versions.
    
     - Upgraded ProbeLauncher to Python3

 -- Steven Clark <smclark@ucsd.edu>  Wed, 05 Jan 2022 09:13:21 -0800
